## org.springframework.expression.spel.ast
Class NullLiteral

    java.lang.Object
      org.springframework.expression.spel.ast.SpelNodeImpl
          org.springframework.expression.spel.ast.Literal
              org.springframework.expression.spel.ast.NullLiteral

All Implemented Interfaces:
  SpelNode

    public class NullLiteral

extends Literal

Since:
  3.0
Author:
  Andy Clement

Field Summary

Fields inherited from class org.springframework.expression.spel.ast.Literal
`literalValue`

Fields inherited from class org.springframework.expression.spel.ast.SpelNodeImpl
`children, pos`

Constructor Summary
`NullLiteral(int pos)`

Method Summary
`TypedValue` `getLiteralValue()`
`String` `toString()`

Methods inherited from class org.springframework.expression.spel.ast.Literal
`getIntLiteral, getLongLiteral, getRealLiteral, getValueInternal, toStringAST`

Methods inherited from class org.springframework.expression.spel.ast.SpelNodeImpl
`getChild, getChildCount, getEndPosition, getObjectClass, getPreviousChild, getStartPosition, getTypedValue, getValue, getValue, isWritable, nextChildIs, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NullLiteral

    public NullLiteral(int pos)

Method Detail

### getLiteralValue

    public TypedValue getLiteralValue()

  Specified by:
    `getLiteralValue` in class `Literal`

### toString

    public String toString()

  Overrides:
    `toString` in class `Literal`